{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.eUnset(I)V",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectWithInverseResolvingEList$ManyInverse.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPowertypeExtents()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setRepresentation(Lorg/eclipse/uml2/uml/CollaborationUse;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eInternalResource()Lorg/eclipse/emf/ecore/resource/Resource$Internal;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateBindings()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getOwnedAttributes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setIsAbstract(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setIsLeaf(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setPackage(Lorg/eclipse/uml2/uml/Package;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getSubstitutions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getCollaborationUses()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setNameExpression(Lorg/eclipse/uml2/uml/StringExpression;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetName()V": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinedClassifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setOwningTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getOwnedConnectors()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setIsFinalSpecialization(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetVisibility()V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGenerals()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicUnset(I)V": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setOwnedTemplateSignature(Lorg/eclipse/uml2/uml/TemplateSignature;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGeneralizations()Lorg/eclipse/emf/common/util/EList;": 1
  }
}